> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create workflow step

> Requires ADMIN or PROJECT_MANAGER role with the setup-server access right. Abbreviation must be unique within the organization. On success, the new step is automatically added to all existing price lists and discount schemes. Returns 403 if the organization plan does not support workflow steps or if LQA is not enabled for the organization when lqaEnabled is true.



## OpenAPI

````yaml /openapi/phrase-tms-latest.json post /api2/v1/workflowSteps
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/workflowSteps:
    post:
      tags:
        - Workflow Step
      summary: Create workflow step
      description: >-
        Requires ADMIN or PROJECT_MANAGER role with the setup-server access
        right. Abbreviation must be unique within the organization. On success,
        the new step is automatically added to all existing price lists and
        discount schemes. Returns 403 if the organization plan does not support
        workflow steps or if LQA is not enabled for the organization when
        lqaEnabled is true.
      operationId: createWFStep
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWorkflowStepDtoV1'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowStepDtoV1'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    CreateWorkflowStepDtoV1:
      type: object
      required:
        - abbr
        - name
      properties:
        abbr:
          type: string
          description: Abbreviation of the workflow step (1–3 characters)
          minLength: 1
          maxLength: 3
        lqaEnabled:
          type: boolean
          description: When true, enables LQA for this step
        name:
          type: string
          description: Name of the workflow step
          minLength: 1
          maxLength: 255
        order:
          type: integer
          format: int32
          description: Display order of the workflow step
    WorkflowStepDtoV1:
      type: object
      properties:
        abbr:
          type: string
          description: Abbreviation of the workflow step (1–3 characters)
        id:
          type: string
          description: Internal numeric identifier, encoded as a string
        lqaEnabled:
          type: boolean
          description: When true, LQA is enabled for this step
        name:
          type: string
          description: Name of the workflow step
        order:
          type: integer
          format: int32
          description: Display order of the workflow step
        uid:
          type: string
          description: Unique identifier used in API paths
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````